Bug 977548 - RDMA Mounting Volumes not Functioning for PPA Build
RDMA Mounting Volumes not Functioning for PPA Build
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: rdma (Show other bugs)
3.4.0-beta
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: GlusterFS Bugs list
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-24 17:05 EDT by Ryan
Modified: 2014-10-14 09:13 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-10-14 09:13:55 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ryan 2013-06-24 17:05:22 EDT
Description of problem: Gluster



Version-Release number of selected component (if applicable):
3.4beta3

How reproducible:
100%

Steps to Reproduce:

mount an rdma volume that has been created/started on other nodes: mount -t glusterfs cs1-i:test2 /tmp/test2

the mount will fail with: Mount failed. Please check the log file for more details.



Actual results:

root@cs3-p:/var/log/glusterfs# gluster --version
glusterfs 3.4.0beta3 built on Jun 22 2013 05:58:48
Repository revision: git://git.gluster.com/glusterfs.git
Copyright (c) 2006-2011 Gluster Inc. <http://www.gluster.com>
GlusterFS comes with ABSOLUTELY NO WARRANTY.
You may redistribute copies of GlusterFS under the terms of the GNU General Public License.


root@cs3-p:/var/log/glusterfs# jobs
[1]+  Running                 tail -f tmp-test2.log &
root@cs3-p:/var/log/glusterfs# mount -t glusterfs cs1-i:test2 /tmp/test2
[2013-06-24 20:57:43.203922] I [glusterfsd.c:1878:main] 0-/usr/sbin/glusterfs: Started running /usr/sbin/glusterfs version 3.4.0beta3 (/usr/sbin/glusterfs --volfile-id=test2 --volfile-server=cs1-i /tmp/test2)
[2013-06-24 20:57:43.205349] I [socket.c:3480:socket_init] 0-glusterfs: SSL support is NOT enabled
[2013-06-24 20:57:43.205384] I [socket.c:3495:socket_init] 0-glusterfs: using system polling thread
[2013-06-24 20:57:43.211179] W [rdma.c:4197:__gf_rdma_ctx_create] 0-rpc-transport/rdma: rdma_cm event channel creation failed (No such file or directory)
[2013-06-24 20:57:43.211212] E [rdma.c:4485:init] 0-test2-client-1: Failed to initialize IB Device
[2013-06-24 20:57:43.211228] E [rpc-transport.c:320:rpc_transport_load] 0-rpc-transport: 'rdma' initialization failed
[2013-06-24 20:57:43.211287] W [rpc-clnt.c:971:rpc_clnt_connection_init] 0-test2-client-1: loading of new rpc-transport failed
[2013-06-24 20:57:43.211301] I [mem-pool.c:541:mem_pool_destroy] 0-test2-client-1: size=2236 max=0 total=0
[2013-06-24 20:57:43.211404] I [mem-pool.c:541:mem_pool_destroy] 0-test2-client-1: size=124 max=0 total=0
[2013-06-24 20:57:43.211417] E [client.c:2283:client_init_rpc] 0-test2-client-1: failed to initialize RPC
[2013-06-24 20:57:43.211453] E [xlator.c:390:xlator_init] 0-test2-client-1: Initialization of volume 'test2-client-1' failed, review your volfile again
[2013-06-24 20:57:43.211460] E [graph.c:292:glusterfs_graph_init] 0-test2-client-1: initializing translator failed
[2013-06-24 20:57:43.211467] E [graph.c:479:glusterfs_graph_activate] 0-graph: init failed
[2013-06-24 20:57:43.211613] W [glusterfsd.c:970:cleanup_and_exit] (-->/usr/lib/x86_64-linux-gnu/libgfrpc.so.0(rpc_clnt_handle_reply+0xa5) [0x7f644abddae5] (-->/usr/sbin/glusterfs(mgmt_getspec_cbk+0x31b) [0x7f644b292d1b] (-->/usr/sbin/glusterfs(glusterfs_process_volfp+0x103) [0x7f644b28e473]))) 0-: received signum (0), shutting down
[2013-06-24 20:57:43.211630] I [fuse-bridge.c:5212:fini] 0-fuse: Unmounting '/tmp/test2'.
[2013-06-24 20:57:43.242456] W [glusterfsd.c:970:cleanup_and_exit] (-->/lib/x86_64-linux-gnu/libc.so.6(clone+0x6d) [0x7f644a4cbccd] (-->/lib/x86_64-linux-gnu/libpthread.so.0(+0x7e9a) [0x7f644a79ee9a] (-->/usr/sbin/glusterfs(glusterfs_sigwaiter+0xc5) [0x7f644b28dd95]))) 0-: received signum (15), shutting down
Mount failed. Please check the log file for more details.



Expected results:

volume should mount


Additional info: it would appear some vital components are missing in the build per the log file.
Comment 1 Kaleb KEITHLEY 2014-10-14 09:13:55 EDT
RDMA on IB works in 3.5. Please upgrade to a current 3.5 release if you need RDMA.

Note You need to log in before you can comment on or make changes to this bug.